Search moodle.org's
Developer Documentation


Long Term Support Release

  • Bug fixes for general core bugs in 3.1.x ended 8 May 2017 (12 months).
  • Bug fixes for security issues in 3.1.x ended 13 May 2019 (36 months).
  • minimum PHP 5.4.4 (always use latest PHP 5.4.x , 5.5.x or 5.6.x on Windows - http://windows.php.net/download/). PHP 7.0.x is supported but has some engine limitations. PHP 7.1.x is not supported.
  • Differences Between: [Versions 29 and 31] [Versions 30 and 31] [Versions 31 and 32] [Versions 31 and 33] [Versions 31 and 34] [Versions 31 and 35] [Versions 31 and 36] [Versions 31 and 37] [Versions 31 and 38]

    Moodleform for the user interface for managing external blog links.

    Copyright: 2009 Nicolas Connault
    License: http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
    File Size: 126 lines (5 kb)
    Included or required: 1 time
    Referenced: 0 times
    Includes or requires: 0 files

    Defines 1 class

    blog_edit_external_form:: (3 methods):
      definition()
      validation()
      definition_after_data()


    Class: blog_edit_external_form  - X-Ref

    definition()   X-Ref
    No description

    validation($data, $files)   X-Ref
    Additional validation includes checking URL and tags


    definition_after_data()   X-Ref
    No description

    Search This Site: